API referenceTikTok
TikTok user following
The accounts a creator follows.
Empty for accounts that hide the list.
Authorization
ApiKeyAuth X-API-Key<token>
Your API key. Sent on every request.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/scrapers/tiktok-user-following-v4" \ -H "Content-Type: application/json" \ -d '{ "unique_id": "tiktok", "count": 50 }'{ "request_id": "req_8f2c1d94e7b0", "success": true, "status": { "code": "OK", "message": "Scrape completed.", "retryable": false }, "data": { "followings": [ { "avatar_larger": { "height": null, "uri": "https://p16-common-sign.tiktokcdn.com/tos-maliva-avt-0068/7310199914919673862~tplv-tiktokx-cropcenter-q:300:300:q70.webp?dr=10793&idc=my&ps=87d6e48a&refresh_token=c77f091a&s=COMMON_RELATION_LIST&sc=avatar&shcp=65db1d19&shp=30310797&t=223449c4&x-expires=1787572800&x-signature=tXNg5npzZa6Nle2qwQhOyhfSbvE%3D", "url_list": [ "https://p16-common-sign.tiktokcdn.com/tos-maliva-avt-0068/7310199914919673862~tplv-tiktokx-cropcenter-q:300:300:q70.webp?dr=10793&idc=my&ps=87d6e48a&refresh_token=c77f091a&s=COMMON_RELATION_LIST&sc=avatar&shcp=65db1d19&shp=30310797&t=223449c4&x-expires=1787572800&x-signature=tXNg5npzZa6Nle2qwQhOyhfSbvE%3D" ], "url_prefix": null, "width": null }, "avatar_medium": { "height": null, "uri": "https://p16-common-sign.tiktokcdn.com/tos-maliva-avt-0068/7310199914919673862~tplv-tiktokx-cropcenter-q:300:300:q70.webp?dr=10793&idc=my&ps=87d6e48a&refresh_token=c77f091a&s=COMMON_RELATION_LIST&sc=avatar&shcp=65db1d19&shp=30310797&t=223449c4&x-expires=1787572800&x-signature=tXNg5npzZa6Nle2qwQhOyhfSbvE%3D", "url_list": [ "https://p16-common-sign.tiktokcdn.com/tos-maliva-avt-0068/7310199914919673862~tplv-tiktokx-cropcenter-q:300:300:q70.webp?dr=10793&idc=my&ps=87d6e48a&refresh_token=c77f091a&s=COMMON_RELATION_LIST&sc=avatar&shcp=65db1d19&shp=30310797&t=223449c4&x-expires=1787572800&x-signature=tXNg5npzZa6Nle2qwQhOyhfSbvE%3D" ], "url_prefix": null, "width": null }, "avatar_thumb": { "height": null, "uri": "https://p16-common-sign.tiktokcdn.com/tos-maliva-avt-0068/7310199914919673862~tplv-tiktokx-cropcenter-q:300:300:q70.webp?dr=10793&idc=my&ps=87d6e48a&refresh_token=c77f091a&s=COMMON_RELATION_LIST&sc=avatar&shcp=65db1d19&shp=30310797&t=223449c4&x-expires=1787572800&x-signature=tXNg5npzZa6Nle2qwQhOyhfSbvE%3D", "url_list": [ "https://p16-common-sign.tiktokcdn.com/tos-maliva-avt-0068/7310199914919673862~tplv-tiktokx-cropcenter-q:300:300:q70.webp?dr=10793&idc=my&ps=87d6e48a&refresh_token=c77f091a&s=COMMON_RELATION_LIST&sc=avatar&shcp=65db1d19&shp=30310797&t=223449c4&x-expires=1787572800&x-signature=tXNg5npzZa6Nle2qwQhOyhfSbvE%3D" ], "url_prefix": null, "width": null }, "aweme_count": 1103, "create_time": null, "favoriting_count": 1867, "follower_count": 8696667, "following_count": 568, "language": null, "nickname": "tiktok creators", "region": "US", "sec_uid": "MS4wLjABAAAAXqqA-cLDC0hfQPIrS5APYNsg04zkl-socWCkqkI3UIOaEe6_Qnokg0GcWpLnMNQP", "secret": false, "signature": "The official account for TikTok Creators who inspire creativity and bring joy ✨\n\n⬇️ Creator Programs 💰⬇️", "total_favorited": 33425479, "uid": "6551237489917432832", "unique_id": "tiktokcreators", "verified": true } ], "has_more": false, "min_time": null, "total": 3, "unique_id": "tiktok", "user_id": "107955" }, "error": null, "meta": { "client_id": "client_abc123", "scraper": "tiktok-user-following-v4", "billable": true, "duration_ms": 1660 }}